import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchArgsObjectSchema as CommissionBatchArgsObjectSchema } from './CommissionBatchArgs.schema';
import { PaymentArgsObjectSchema as PaymentArgsObjectSchema } from './PaymentArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  commissionBatchId: z.boolean().optional(),
  paymentId: z.boolean().optional(),
  collectionAmount: z.boolean().optional(),
  commissionBatch: z.union([z.boolean(), z.lazy(() => CommissionBatchArgsObjectSchema)]).optional(),
  payment: z.union([z.boolean(), z.lazy(() => PaymentArgsObjectSchema)]).optional()
}).strict();
export const CommissionBatchItemSelectObjectSchema: z.ZodType<Prisma.CommissionBatchItemSelect> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemSelect>;
export const CommissionBatchItemSelectObjectZodSchema = makeSchema();
